EncryptionAlgorithm (ORC Shims 1.6.6 API)
Date: 2021-01-13

org.apache.orc

## Enum EncryptionAlgorithm

- java.lang.Object
- - java.lang.Enum<EncryptionAlgorithm>
  - - org.apache.orc.EncryptionAlgorithm

- All Implemented Interfaces:
    Serializable, Comparable<EncryptionAlgorithm>

      public enum EncryptionAlgorithm
      extends Enum<EncryptionAlgorithm>

  The encryption algorithms supported by ORC. This class can't reference any of the newer Hadoop classes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AES_CTR_128`
    `AES_CTR_256`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cipher` | `createCipher()`
    `static EncryptionAlgorithm` | `fromSerialization(int serialization)` Get the serialization code for this enumeration.
    `String` | `getAlgorithm()`
    `int` | `getIvLength()`
    `int` | `getSerialization()` Get the serialization code for this enumeration.
    `byte[]` | `getZeroKey()`
    `int` | `keyLength()`
    `String` | `toString()`
    `static EncryptionAlgorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EncryptionAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AES_CTR_128

          public static final EncryptionAlgorithm AES_CTR_128

    - #### AES_CTR_256

          public static final EncryptionAlgorithm AES_CTR_256

  - ### Method Detail

    - #### values

          public static EncryptionAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncryptionAlgorithm c : EncryptionAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncryptionAlgorithm valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAlgorithm

          public String getAlgorithm()

    - #### getIvLength

          public int getIvLength()

    - #### createCipher

          public Cipher createCipher()

    - #### keyLength

          public int keyLength()

    - #### getZeroKey

          public byte[] getZeroKey()

    - #### getSerialization

          public int getSerialization()

      Get the serialization code for this enumeration.
      Returns:
        the serialization value

    - #### fromSerialization

          public static EncryptionAlgorithm fromSerialization(int serialization)

      Get the serialization code for this enumeration.
      Returns:
        the serialization value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<EncryptionAlgorithm>`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.